<?php
// styles of child theme
function uni_child_theme_style() {

	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.6.1' );

	wp_register_style( 'bxslider-styles', get_template_directory_uri() . '/css/bxslider.css', '4.2.3' );
	wp_enqueue_style( 'bxslider-styles' );

	wp_register_style( 'ball-clip-rotate-styles', get_template_directory_uri() . '/css/ball-clip-rotate.css', '0.1.0' );
	wp_enqueue_style( 'ball-clip-rotate-styles' );

	wp_register_style( 'fancybox-styles', get_template_directory_uri() . '/css/fancybox.css', '2.1.5' );
	wp_enqueue_style( 'fancybox-styles' );

	wp_register_style( 'jscrollpane-styles', get_template_directory_uri() . '/css/jscrollpane.css', '2.1.5' );
	wp_enqueue_style( 'jscrollpane-styles' );

	wp_register_style( 'selectric-styles', get_template_directory_uri() . '/css/selectric.css', '2.1.5' );
	wp_enqueue_style( 'selectric-styles' );

	if ( class_exists( 'WooCommerce' ) ) {
		wp_register_style( 'asana-woocommerce-styles', get_template_directory_uri() . '/css/woocommerce-store.css', '1.7.6' );
		wp_enqueue_style( 'asana-woocommerce-styles' );
	}

	if ( function_exists( 'ecwid_check_version' ) ) {
		wp_register_style( 'asana-ecwid-styles', get_template_directory_uri() . '/css/ecwid-store.css', '1.7.6' );
		wp_enqueue_style( 'asana-ecwid-styles' );
	}

	wp_register_style( 'unitheme-styles', get_template_directory_uri() . '/style.css', array(
		'bxslider-styles',
		'ball-clip-rotate-styles',
		'fancybox-styles',
		'jscrollpane-styles',
		'selectric-styles'
	), '1.7.6', 'all' );
	wp_enqueue_style( 'unitheme-styles' );

	if ( ! ot_get_option( 'uni_color_schemes' ) ) {
		wp_register_style(
			'unitheme-asana-scheme',
			get_template_directory_uri() . '/css/scheme-default.css',
			array( 'unitheme-styles' ),
			'1.7.6',
			'screen'
		);
		wp_enqueue_style( 'unitheme-asana-scheme' );
	} else {
		$sColourScheme = ot_get_option( 'uni_color_schemes' );
		wp_register_style(
			'unitheme-asana-scheme',
			get_template_directory_uri() . '/css/scheme-' . $sColourScheme . '.css',
			array( 'unitheme-styles' ),
			'1.7.6',
			'screen'
		);
		wp_enqueue_style( 'unitheme-asana-scheme' );
	}

	wp_register_style(
		'unitheme-adaptive',
		get_template_directory_uri() . '/css/adaptive.css',
		array( 'unitheme-styles' ),
		'1.7.6',
		'screen'
	);
	wp_enqueue_style( 'unitheme-adaptive' );

	wp_register_style(
		'unitheme-asana-custom-scheme',
		get_stylesheet_directory_uri() . '/css/scheme-custom.css',
		array( 'unitheme-styles' ),
		'1.7.6',
		'screen'
	);
	wp_enqueue_style( 'unitheme-asana-custom-scheme' );

	wp_register_style(
		'unitheme-child-styles',
		get_stylesheet_directory_uri() . '/style.css',
		array( 'unitheme-styles' ),
		'1.7.6',
		'screen'
	);
	wp_enqueue_style( 'unitheme-child-styles' );
}

add_action( 'wp_enqueue_scripts', 'uni_child_theme_style' );

// after setup of the child theme
add_action( 'after_setup_theme', 'uni_theme_child_theme_setup' );
function uni_theme_child_theme_setup() {

	// Enable featured image
	add_theme_support( 'post-thumbnails' );

	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );

	// Add html5 suppost for search form and comments list
	add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );

	// translation files for the child theme
	load_child_theme_textdomain( 'asana-child', get_stylesheet_directory() . '/languages' );
}

/*
// email templates filter
add_filter( 'uni_asana_event_email_filter', 'uni_asana_child_email_templates', 10, 2 );
function uni_asana_child_email_templates( $sTemplateName, $sState ) {
    if ( $sState == 'guest' ) {
        return 'email/event-custom-guest.php';
    } else if ( $sState == 'admin' ) {
        return 'email/event-custom-admin.php';
    }
}

// choose option none
add_filter( 'uni_asana_theme_show_option_none_variation_filter', 'uni_asana_show_option_none_variation_text', 10, 2 );
function uni_asana_show_option_none_variation_text( $sOriginalText, $sVariationName ) {
    return 'Options: ' . $sVariationName;
}

// switch the subscription email to 'html'
add_filter( 'uni_asana_theme_mailchimp_variables_filter', 'uni_asana_theme_mailchimp_variables_func', 10, 1 );
function uni_asana_theme_mailchimp_variables_func( $aListOfMCVars ) {
    $aListOfMCVars['email_type'] = 'html';
    return $aListOfMCVars;
}
*/
?>